# __gnu_parallel::unguarded_iterator< RandomAccessIterator, Comparator > Class Template Reference

List of all members.

## Detailed Description

### template<typename RandomAccessIterator, typename Comparator>
class __gnu_parallel::unguarded_iterator< RandomAccessIterator, Comparator >

Definition at line 184 of file multiway_merge.h.

## Public Member Functions

- std::iterator_traits< RandomAccessIterator
  >::value_type operator * ()
- operator RandomAccessIterator ()
- unguarded_iterator< RandomAccessIterator,
  Comparator > & operator++ ()
- unguarded_iterator (RandomAccessIterator begin, RandomAccessIterator end, Comparator &comp)

## Friends

- bool operator (unguarded_iterator< RandomAccessIterator, Comparator > &bi1, unguarded_iterator< RandomAccessIterator, Comparator > &bi2)
- bool operator (unguarded_iterator< RandomAccessIterator, Comparator > &bi1, unguarded_iterator< RandomAccessIterator, Comparator > &bi2)

## Constructor & Destructor Documentation

template<typename RandomAccessIterator, typename Comparator>

__gnu_parallel::unguarded_iterator< RandomAccessIterator, Comparator >::unguarded_iterator | ( | RandomAccessIterator | begin,
|  | RandomAccessIterator | end,
|  | Comparator & | comp |
| ) |  |  | `[inline]`

Constructor. Sets iterator to beginning of sequence.

Parameters:

  | begin | Begin iterator of sequence.
  | end | Unused, only for compatibility.
  | comp | Unused, only for compatibility.

Definition at line 197 of file multiway_merge.h.

## Member Function Documentation

template<typename RandomAccessIterator, typename Comparator>

std::iterator_traits<RandomAccessIterator>::value_type __gnu_parallel::unguarded_iterator< RandomAccessIterator, Comparator >::operator * | ( |  | ) | `[inline]`

Dereference operator.

Returns:
  Referenced element.

Definition at line 214 of file multiway_merge.h.

template<typename RandomAccessIterator, typename Comparator>

__gnu_parallel::unguarded_iterator< RandomAccessIterator, Comparator >::operator RandomAccessIterator | ( |  | ) | `[inline]`

Convert to wrapped iterator.

Returns:
  Wrapped iterator.

Definition at line 219 of file multiway_merge.h.

template<typename RandomAccessIterator, typename Comparator>

unguarded_iterator<RandomAccessIterator, Comparator>& __gnu_parallel::unguarded_iterator< RandomAccessIterator, Comparator >::operator++ | ( |  | ) | `[inline]`

Pre-increment operator.

Returns:
  This.

Definition at line 205 of file multiway_merge.h.

The documentation for this class was generated from the following file:

- multiway_merge.h